ConnectionLogger
Date: 2012-06-29

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.chromium.sdk
Interface ConnectionLogger

    public interface ConnectionLogger

Logger facility for the Chromium debugger connection. It can eavesdrop both incoming and outgoing streams and log them somewhere. `ConnectionLogger` instance is not reconnectable.

Nested Class Summary
`static interface` | `ConnectionLogger.ConnectionCloser` Interface that gives you control over underlying connection.
`static interface` | `ConnectionLogger.Factory` Factory for connection logger.
`static interface` | `ConnectionLogger.StreamListener` Listens to stream data traffic.

Method Summary
`ConnectionLogger.StreamListener` | `getIncomingStreamListener()`
`ConnectionLogger.StreamListener` | `getOutgoingStreamListener()`
`void` | `handleEos()` Notifies logger that EOS has been received from remote.
`void` | `setConnectionCloser(ConnectionLogger.ConnectionCloser connectionCloser)` Connection may allow the logger to close it.
`void` | `start()` Notifies logger that actual transmission is starting.

Method Detail

### getIncomingStreamListener

    ConnectionLogger.StreamListener getIncomingStreamListener()

  Returns:
    listener for incoming socket stream or null

### getOutgoingStreamListener

    ConnectionLogger.StreamListener getOutgoingStreamListener()

  Returns:
    listener for outgoing socket stream or null

### setConnectionCloser

    void setConnectionCloser(ConnectionLogger.ConnectionCloser connectionCloser)

  Connection may allow the logger to close it. It is nice for UI, where user sees logger and the corresponding stop button.

### start

    void start()

  Notifies logger that actual transmission is starting. After this `handleEos()` is guaranteed to be called.

### handleEos

    void handleEos()

  Notifies logger that EOS has been received from remote. Technically some traffic still may go through writer (i.e. be sent to remote) after this.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD